#
# spec file for package velum-branding
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?is_opensuse} && 0%{?suse_version} > 1500
  %define _dist kubic
%else
  %define _dist caasp
%endif

Name:           velum-branding
Version:        0.0.0+git_r22_fe3c5d0
Release:        3.11
Summary:        Branding for velum
License:        Apache-2.0
Group:          Applications/Internet
Url:            https://github.com/kubic-project/velum-branding
Source:         master.tar.gz
Provides:       velum-branding = %{version}

%description
%{_dist} branding themes for velum

%prep
%setup -q -n velum-branding-master

%build
%install
# Install the web content
install -d -m 0755 %{buildroot}/%{_datadir}/velum
install -d -m 0755 %{buildroot}/%{_datadir}/velum/images
install -d -m 0755 %{buildroot}/%{_datadir}/velum/static-pages
# set the product name
cp %{_dist}-%{name}/PRODUCT %{buildroot}/%{_datadir}/velum
# add different logos
cp -R %{_dist}-%{name}/app/assets/images/* %{buildroot}/%{_datadir}/velum/images
# add static pages
cp -R %{_dist}-%{name}/static-pages/* %{buildroot}/%{_datadir}/velum/static-pages

%files
%defattr(-,root,root)
%dir %{_datadir}/velum
%{_datadir}/velum/PRODUCT
%dir %{_datadir}/velum/images
%{_datadir}/velum/images/*
%dir %{_datadir}/velum/static-pages
%{_datadir}/velum/static-pages/*

%if 0%{?suse_version} < 1500
%doc LICENSE
%else
%license LICENSE
%endif

%changelog
* Wed Nov 14 2018 jmassaguerpla@suse.com
- Build also for i586 to fix Factory build (bsc#1110410)
* Sun Jul 29 2018 jengelh@inai.de
- Fix self-referential summary.
* Thu Jun 28 2018 containers-bugowner@suse.de
- Commit 2833cac by Vítor Avelino vavelino@suse.com
  logo: fixed kubic image dimensions
  The previous image dimensions was causing the logo to be displayed with wrong
  proportions in Velum. Now it behaves as expected similar to CaaS Platform.
  fix#kubic-logo
  Signed-off-by: Vítor Avelino <vavelino@suse.com>
* Wed Jun 13 2018 containers-builds@suse.de
- Commit 4468c00 by Maximilian Meister mmeister@suse.de
  make 503 page more generic
  bsc#1080636
  Signed-off-by: Maximilian Meister <mmeister@suse.de>
* Tue Jun 12 2018 containers-builds@suse.de
- Commit 476bea0 by Maximilian Meister mmeister@suse.de
  conform static error pages to haproxy standards
  * move them to a new folder other than public, as it would override the
  precompiled assets after the mount
  * add header
  * change filename to end with .http according to the haproxy guidelines
  * minify the html/css to stay within the 16kb limit to avoid truncation
  https://cbonte.github.io/haproxy-dconv/1.6/configuration.html#4-errorfile
  bsc#1080636
  Signed-off-by: Maximilian Meister <mmeister@suse.de>
* Tue Jun 12 2018 containers-builds@suse.de
- Commit 9e05732 by Jordi Massaguer Pla jmassaguerpla@suse.de
  remove public dir
  Signed-off-by: Jordi Massaguer Pla <jmassaguerpla@suse.de>
  Commit ab10a35 by Jordi Massaguer Pla jmassaguerpla@suse.de
  move favicon to the images folder that will be mounted by c-c-m
  Commit 32c2fba by Jordi Massaguer Pla jmassaguerpla@suse.de
  Remove html error pages and use the ones from velum
  This is needed because we need to revert the change in
  caasp-container-manifests that was mounting the public directory from the
  host.
  Mounting the public directory from the host, was "hidding" the assets files
  present in the public directory and so our images were broken.
  This was only happening in the iso and not in our dev environments because in
  production we have the assets precompiled and we don't compile them on the
  fly, since we don't have a js engine installed.
  Signed-off-by: Jordi Massaguer Pla <jmassaguerpla@suse.de>
* Tue Jun 12 2018 containers-builds@suse.de
- Commit f772f3e by Thorsten Kukuk kukuk@thkukuk.de
  Update openSUSE Kubic branding with official one.
* Thu May 31 2018 containers-bugowner@suse.de
- Commit 9485bbd by David Cassany dcassany@suse.de
  Make use of %%license macro
* Fri May 25 2018 containers-bugowner@suse.de
- Commit 5e28212 by Maximilian Meister mmeister@suse.de
  copy images, not folder
  Signed-off-by: Maximilian Meister <mmeister@suse.de>
* Thu May 24 2018 containers-bugowner@suse.de
- Commit b15c1b3 by Maximilian Meister mmeister@suse.de
  add all rights reserved char to SUSE
  Signed-off-by: Maximilian Meister <mmeister@suse.de>
* Thu May 24 2018 mmeister@suse.com
- Initial branding
